Discussion:
Defining Isometric Views
(too old to reply)
Primeau
2005-04-08 11:28:52 UTC
Permalink
Hi,
I'm looking for a way to accurately create Isometric Views (viewing
isometrically all around a part) for my templates. As far as I know,
there's only one isometric view by default in SW and I don't want to
create the others by rotating approximately. In Pro/E, I think you can
give three angles and in Inventor, I think there all accessible by the
space bar. How can I do in SW?
Thanks
JC
Kvick
2005-04-08 12:08:56 UTC
Permalink
Post by Primeau
Hi,
I'm looking for a way to accurately create Isometric Views (viewing
isometrically all around a part) for my templates. As far as I know,
there's only one isometric view by default in SW and I don't want to
create the others by rotating approximately. In Pro/E, I think you can
give three angles and in Inventor, I think there all accessible by the
space bar. How can I do in SW?
Thanks
JC
http://webpages.charter.net/mkikstra/SWXMacros/IsoViews.zip

If I´m correct this creates 4 isometric views to part / assy.... there
is Macro also which creates 8 isometric views to part / assy, but I just
cant find it right now...
Dale Dunn
2005-04-08 12:17:05 UTC
Permalink
I think I may have altered this some, without updating the header. I
don't remember anymore.

' *************************************************************
' ISOViews.swp - macro recorded on 12/20/01 by Mike J. Wilson
' *************************************************************
' Special thanks to Dennis Kelley and Dan Hanger for tips

Dim swApp As Object
Dim Part As Object
Dim boolstatus As Boolean
Dim longstatus As Long
Dim Annotation As Object
Dim Gtol As Object
Dim DatumTag As Object
Dim FeatureData As Object
Dim Feature As Object
Dim Component As Object

Sub main()

Set swApp = CreateObject("SldWorks.Application")
Set Part = swApp.ActiveDoc

pi = 4 * Atn(1)
Z = Tan(30 * pi / 180)
X = Atn(Z / Sqr(-Z * Z + 1))
Y = -45 * pi / 180

Part.DeleteNamedView ("TRtFt")
Part.DeleteNamedView ("TRtRr")
Part.DeleteNamedView ("TLftFt")
Part.DeleteNamedView ("TLftRr")

Part.DeleteNamedView ("BRtFt")
Part.DeleteNamedView ("BRtRr")
Part.DeleteNamedView ("BLftFt")
Part.DeleteNamedView ("BLftRr")


Part.ShowNamedView2 "*Front", -1
Part.ActiveView().RotateAboutCenter X, Y
Part.ViewZoomtofit2
Part.NameView ("TRtFt")

Part.ShowNamedView2 "*Right", -1
Part.ActiveView().RotateAboutCenter X, Y
Part.ViewZoomtofit2
Part.NameView ("TRtRr")

Part.ShowNamedView2 "*Back", -1
Part.ActiveView().RotateAboutCenter X, Y
Part.ViewZoomtofit2
Part.NameView ("TLftRr")

Part.ShowNamedView2 "*Left", -1
Part.ActiveView().RotateAboutCenter X, Y
Part.ViewZoomtofit2
Part.NameView ("TLftFt")


Part.ShowNamedView2 "*Front", -1
Part.ActiveView().RotateAboutCenter -X, Y
Part.ViewZoomtofit2
Part.NameView ("BRtFt")

Part.ShowNamedView2 "*Right", -1
Part.ActiveView().RotateAboutCenter -X, Y
Part.ViewZoomtofit2
Part.NameView ("BRtRr")

Part.ShowNamedView2 "*Back", -1
Part.ActiveView().RotateAboutCenter -X, Y
Part.ViewZoomtofit2
Part.NameView ("BLftRr")

Part.ShowNamedView2 "*Left", -1
Part.ActiveView().RotateAboutCenter -X, Y
Part.ViewZoomtofit2
Part.NameView ("BLftFt")


Set Part = Nothing
Set swApp = Nothing

End Sub
Muggs
2005-04-08 12:15:13 UTC
Permalink
Oh Wayne, excuse me sir, but I think you have a customer.

JC, I'm sure Wayne will chime in with all the details, but his number keypad
macros are amazing, and exactly what you're after.

Oh BTW, don't be scared about the customer part, they're free, just my stab
at a little humor,
Muggs
Post by Primeau
Hi,
I'm looking for a way to accurately create Isometric Views (viewing
isometrically all around a part) for my templates. As far as I know,
there's only one isometric view by default in SW and I don't want to
create the others by rotating approximately. In Pro/E, I think you can
give three angles and in Inventor, I think there all accessible by the
space bar. How can I do in SW?
Thanks
JC
Wayne Tiffany
2005-04-08 14:11:53 UTC
Permalink
Oh, so right you are! The keypad macros that I suggest people can't live
without after getting used to them, does, in fact, create eight different
iso views for you. Every time you hit one of the corner keys, it creates
that view as a selectable view. Hitting the CTRL corner keys will produce
the opposite of those 4 iso views. But wait, there's more! If you hit CTRL
and the num pad decimal point, it goes through and creates all eight for you
at one time! Isn't that just amazing??!!??

Ok, enough of the silliness. Lee bell wrote most of the code for this macro
set and you could use them for an example of how to produce any view you
want. But the whole set is your just for the asking and then you can use
the drawing set as well. Testimonials can also be had here - just ask.

WT
Post by Muggs
Oh Wayne, excuse me sir, but I think you have a customer.
JC, I'm sure Wayne will chime in with all the details, but his number
keypad macros are amazing, and exactly what you're after.
Oh BTW, don't be scared about the customer part, they're free, just my
stab at a little humor,
Muggs
Post by Primeau
Hi,
I'm looking for a way to accurately create Isometric Views (viewing
isometrically all around a part) for my templates. As far as I know,
there's only one isometric view by default in SW and I don't want to
create the others by rotating approximately. In Pro/E, I think you can
give three angles and in Inventor, I think there all accessible by the
space bar. How can I do in SW?
Thanks
JC
Dale Dunn
2005-04-08 14:42:47 UTC
Permalink
I've always wondered... Don't you use the number pad for numbers?
Muggs
2005-04-08 16:39:14 UTC
Permalink
Yea, all the time.
But when not in a context sensitive box the different #'s run macros to show
different views on the screen. Very useful.

Muggs
Post by Dale Dunn
I've always wondered... Don't you use the number pad for numbers?
Wayne Tiffany
2005-04-08 17:31:21 UTC
Permalink
Sure, all the time - the num pad is set on. The way it works is that SW
accepts the keypad input as numbers when it is in a mode to receive a
numeric input, and it takes the input as triggering the macros when not in a
numerical reception mode. Every once in a while, there will be a dialog box
that has a value highlighted, but the num pad triggers the macros. I
haven't figured out yet just what those conditions are, but when you see the
model go flying and the FT disappear, you know that it just happened. The
only difference in having the macros on is that you have an indication that
the typed numbers aren't being received, rather than looking up and finding
that nothing happened. :-)

WT
Post by Dale Dunn
I've always wondered... Don't you use the number pad for numbers?
Dale Dunn
2005-04-08 17:55:55 UTC
Permalink
Ok, that makes sense. I always thought that would be a critical flaw for
me. I'll look into these.

Continue reading on narkive:
Loading...